Name:		unixcw
Version:	2.3
Release:	6%{?dist}
Summary:	Shared library for Morse programs

Group:		Applications/Communications
License:	GPLv2+
URL:		ftp://sunsite.unc.edu/pub/Linux/apps/ham/morse/
Source0:	ftp://sunsite.unc.edu/pub/Linux/apps/ham/morse/%{name}-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# add DESTDIR to makefile
Patch0:		unixcw-2.3-makefile.in.patch
# Link against a qt library that actually exists.
Patch1:		unixcw-2.3-qtfix.patch
# x86_64 needs -fPIC to make shared libs, fix configure test to use it.
Patch2:		unixcw-2.3-picflag.patch
#BuildRequires:  
#Requires:       

%description
The UnixCW utilities add a general purpose CW library to your system, and
a small set of applications based around this library.  These applications
form a Morse code tutor suite, useful for Amateur and Marine radio operators.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
UnixCW utility libraries.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# Fix the encoding on the man pages to be UTF-8
recode()
{
	iconv -f "$2" -t utf-8 < "$1" > "${1}_"
	mv -f "${1}_" "$1"
}
recode src/cwlib/cw.7 iso-8859-2
recode src/cw/cw.1 iso-8859-2

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Get rid of static lib.
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.a

#Fix permissions for binary files
chmod 0755 $RPM_BUILD_ROOT%{_bindir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/*
%{_libdir}/libcw.so.0
%{_libdir}/libcw.so.0.0.0
%{_mandir}/man?/*

%files devel
%defattr(-,root,root,-)
%doc README
%{_libdir}/libcw.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Nov 19 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 2.3-2
- Update License tag to GPLv2+
- Add missing doc files
- Fix permissions on executable files
* Tue May 15 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 2.3-0
- Initial SPEC
